Bug 1431448 - Review Request: avogadro2 - Advanced molecular editor
Summary: Review Request: avogadro2 - Advanced molecular editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1431444 1431445
Blocks: 1431172
TreeView+ depends on / blocked
 
Reported: 2017-03-12 16:23 UTC by Antonio T. (sagitter)
Modified: 2017-05-05 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-30 00:19:42 UTC
Type: ---
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2017-03-12 16:23:29 UTC
Spec URL: https://sagitter.fedorapeople.org/avogadro2/avogadro2.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/avogadro2/fedora-rawhide-x86_64/00525453-avogadro2/avogadro2-1.90.0-1.fc27.src.rpm
Description:
Avogadro is an advanced molecular editor designed for cross-platform use in
computational chemistry, molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and a powerful plugin
architecture. The code in this repository is a rewrite of Avogadro with source
code split across a libraries repository and an application repository. Core
features and goals of the Avogadro project:

* Open source distributed under the liberal 3-clause BSD license
* Cross platform with nightly builds on Linux, Mac OS X and Windows
* Intuitive interface designed to be useful to whole community
* Fast and efficient embracing the latest technologies
* Extensible, making extensive use of a plugin architecture
* Flexible supporting a range of chemical data formats and packages

Fedora Account System Username: sagitter

Comment 1 Jerry James 2017-03-27 03:59:23 UTC
I will take this review.

Comment 2 Jerry James 2017-03-27 04:05:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- The %check script is useless.  If it isn't possible to create a useful
  %check script, just remove it or comment the entire thing out until it
  can be made useful.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in avogadro2
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: avogadro2-1.90.0-1.fc27.x86_64.rpm
          avogadro2-debuginfo-1.90.0-1.fc27.x86_64.rpm
          avogadro2-1.90.0-1.fc27.src.rpm
avogadro2.x86_64: W: spelling-error %description -l en_US bioinformatics -> misinformation, information
avogadro2.x86_64: W: only-non-binary-in-usr-lib
avogadro2.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
avogadro2.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
avogadro2.x86_64: W: no-manual-page-for-binary avogadro2
avogadro2.x86_64: W: desktopfile-without-binary /usr/share/applications/avogadro2.desktop env
avogadro2.src: W: spelling-error %description -l en_US bioinformatics -> misinformation, information
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: avogadro2-debuginfo-1.90.0-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
avogadro2.x86_64: W: spelling-error %description -l en_US bioinformatics -> misinformation, information
avogadro2.x86_64: W: only-non-binary-in-usr-lib
avogadro2.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
avogadro2.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
avogadro2.x86_64: W: no-manual-page-for-binary avogadro2
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
avogadro2 (rpmlib, GLIBC filtered):
    /bin/sh
    libAvogadroCore.so()(64bit)
    libAvogadroIO.so()(64bit)
    libAvogadroQtGui.so()(64bit)
    libAvogadroQtOpenGL.so()(64bit)
    libAvogadroQtPlugins.so()(64bit)
    libMoleQueueClient.so()(64bit)
    libMoleQueueServerCore.so()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5OpenGL.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python3
    rtld(GNU_HASH)

avogadro2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
avogadro2:
    application()
    application(avogadro2.desktop)
    avogadro2
    avogadro2(x86-64)
    mimehandler(chemical/x-cml)
    mimehandler(chemical/x-xyz)

avogadro2-debuginfo:
    avogadro2-debuginfo
    avogadro2-debuginfo(x86-64)



Source checksums
----------------
https://github.com/OpenChemistry/avogadroapp/archive/1.90.0.tar.gz#/avogadroapp-1.90.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3d3f452fb6560636b144798c56e213337cfc2c3774c872c095d1796cbbab28af
  CHECKSUM(SHA256) upstream package : 3d3f452fb6560636b144798c56e213337cfc2c3774c872c095d1796cbbab28af


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1431448 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jerry James 2017-03-27 04:06:12 UTC
Other than the %check script, I see nothing of concern, so this package is APPROVED.

Comment 4 Gwyn Ciesla 2017-03-28 18:59:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/avogadro2

Comment 5 Fedora Update System 2017-04-25 10:41:12 UTC
avogadro2-1.90.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dfcd2be0c9

Comment 6 Fedora Update System 2017-04-25 21:30:13 UTC
avogadro2-1.90.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dfcd2be0c9

Comment 7 Fedora Update System 2017-04-25 23:49:27 UTC
avogadro2-1.90.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-755ecf5450

Comment 8 Fedora Update System 2017-04-30 00:19:42 UTC
avogadro2-1.90.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-05-05 04:05:30 UTC
avogadro2-1.90.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.